RTEMS: cpukit/include/rtems/console.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
console.h File Reference

Console Driver for all Boards. More...

`#include <rtems/io.h>`

Go to the source code of this file.

## Macros
#define | CONSOLE_DEVICE_NAME "/dev/console"
#define | CONSOLE_DRIVER_TABLE_ENTRY

## Functions
rtems_device_driver | console_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console initialization entry point.
rtems_device_driver | console_open (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console open entry point.
rtems_device_driver | console_close (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console close entry point.
rtems_device_driver | console_read (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console read entry point.
rtems_device_driver | console_write (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console write entry point.
rtems_device_driver | console_control (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console IO control entry point.
void | _Console_simple_Initialize (void)
| Initializes a simple console device.
void | _Console_simple_task_Initialize (void)
| Initializes a simple task console device.

## Detailed Description

Console Driver for all Boards.

This file describes the Console Device Driver for all boards. This driver provides support for the standard C Library.

## Macro Definition Documentation

## ◆ CONSOLE_DEVICE_NAME

#define CONSOLE_DEVICE_NAME "/dev/console"

This macro defines the standard name for the console device that is available to applications.

## ◆ CONSOLE_DRIVER_TABLE_ENTRY

#define CONSOLE_DRIVER_TABLE_ENTRY

Value:
{ console_initialize, console_open, console_close, \
console_read, console_write, console_control }
console_write
rtems_device_driver console_write(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Console write entry point.
Definition: uart.c:161
console_control
rtems_device_driver console_control(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Console IO control entry point.
Definition: uart.c:170
console_open
rtems_device_driver console_open(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Console open entry point.
Definition: uart.c:126
console_close
rtems_device_driver console_close(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Console close entry point.
Definition: uart.c:143
console_initialize
rtems_device_driver console_initialize(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Console initialization entry point.
Definition: console.c:485
console_read
rtems_device_driver console_read(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Console read entry point.
Definition: uart.c:152

This macro defines the standard device driver table entry for a console device driver.

## Function Documentation

## ◆ _Console_simple_Initialize()

void _Console_simple_Initialize | ( | void |  | ) |

Initializes a simple console device.

See CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER documentation in the "RTEMS Classic API Guide".

## ◆ _Console_simple_task_Initialize()

void _Console_simple_task_Initialize | ( | void |  | ) |

Initializes a simple task console device.

See CONFIGURE_APPLICATION_NEEDS_SIMPLE_TASK_CONSOLE_DRIVER documentation in the "RTEMS Classic API Guide".

## ◆ console_close()

rtems_device_driver console_close | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console close entry point.

This method closes a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device driver is successfully closed.

## ◆ console_control()

rtems_device_driver console_control | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console IO control entry point.

This method performs an IO Control operation on a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | the device driver IO control operation is successfully performed.

## ◆ console_initialize()

rtems_device_driver console_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console initialization entry point.

This method initializes the console device driver.

Parameters

  [in] | major | is the device driver major number.
  [in] | minor | is the device driver minor number.
  [in] | arg | is the parameters to this call.

Return values

  RTEMS_SUCCESSFUL | The device driver is successfully initialized.

Console initialization entry point.

Initialize all serial drivers specified in driver_context_table

Parameters

  [in] | major |
  [in] | minor |
  [in] | arg |

Return values

  RTEMS_SUCCESSFUL | Initialization completed

This routine initializes the console IO driver.

Parameters

Parameters

  major | major number
  minor | minor number

Output parameters: NONE

Returns
  void

## ◆ console_open()

rtems_device_driver console_open | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console open entry point.

This method opens a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device driver is successfully opened.

## ◆ console_read()

rtems_device_driver console_read | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console read entry point.

This method reads from a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device is successfully read from.

## ◆ console_write()

rtems_device_driver console_write | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console write entry point.

This method writes to a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device is successfully written.